IMocksControl (EasyMockClassExtension)
Date: 2008-08-30

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.classextension
Interface IMocksControl

All Superinterfaces:
  org.easymock.IMocksControl

    public interface IMocksControl

extends org.easymock.IMocksControl

Method Summary
`
`<T> T`
` | `createMock(java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`
`<T> T`
` | `createMock(java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`
`
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock, ConstructorArgs constructorArgs, java.lang.reflect.Method... mockedMethods)`
`
`<T> T`
` | `createMock(java.lang.String name, java.lang.Class<T> toMock, java.lang.reflect.Method... mockedMethods)`

Methods inherited from interface org.easymock.IMocksControl
`checkOrder, createMock, createMock, makeThreadSafe, replay, reset, resetToDefault, resetToNice, resetToStrict, verify`

Method Detail

### createMock

    <T> T createMock(java.lang.Class<T> toMock,
                     java.lang.reflect.Method... mockedMethods)

### createMock

    <T> T createMock(java.lang.Class<T> toMock,
                     ConstructorArgs constructorArgs,
                     java.lang.reflect.Method... mockedMethods)

### createMock

    <T> T createMock(java.lang.String name,
                     java.lang.Class<T> toMock,
                     java.lang.reflect.Method... mockedMethods)

### createMock

    <T> T createMock(java.lang.String name,
                     java.lang.Class<T> toMock,
                     ConstructorArgs constructorArgs,
                     java.lang.reflect.Method... mockedMethods)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 OFFIS, Henri Tremblay. This documentation is provided under the terms of the MIT licence.